.section	".rodata"
.align	8
.section	".text"
adder_11:
	ld	[%o5 + 4], %i3
	add	%i3, %i2, %i2
	retl
	nop
make_adder_5:
	mov	%i1, %i3
	add	%i1, 8, %i1
	set	adder_11, %i4
	st	%i4, [%i3 + 0]
	st	%i2, [%i3 + 4]
	mov	%i3, %i2
	retl
	nop
.global	min_caml_start
min_caml_start:
	save	%sp, -112, %sp
	set	3, %i2
	st	%o7, [%i0 + 4]
	call	make_adder_5
	add	%i0, 8, %i0	! delay slot
	sub	%i0, 8, %i0
	ld	[%i0 + 4], %o7
	mov	%i2, %o5
	set	7, %i2
	st	%o7, [%i0 + 4]
	ld	[%o5 + 0], %o4
	call	%o4
	add	%i0, 8, %i0	! delay slot
	sub	%i0, 8, %i0
	ld	[%i0 + 4], %o7
	st	%o7, [%i0 + 4]
	call	min_caml_print_int
	add	%i0, 8, %i0	! delay slot
	sub	%i0, 8, %i0
	ld	[%i0 + 4], %o7
	ret
	restore
